import React from 'react'

const Dashboard = React.lazy(() => import('./views/dashboard/Dashboard'))
const Shop = React.lazy(() => import('./views/shops/Shop'))
const Order = React.lazy(() => import('./views/orders/Order'))
const MyProfile = React.lazy(() => import('./views/pages/profile/MyProfile'))
const ChangePassword = React.lazy(() => import('./views/pages/profile/ChangePassword'))
const Kyc = React.lazy(() => import('./views/pages/Kyc/kyc'))
const KycDetails = React.lazy(() => import('./views/pages/Kyc/kycDetails'))

const routes = [
  { path: '/', exact: true, name: 'Home' },
  { path: '/dashboard', name: 'Dashboard', element: Dashboard },
  { path: '/shop', name: 'Shop', element: Shop },
  { path: '/order', name: 'Order', element: Order },
  // KYC
  { path: '/kyc', name: 'Kyc', element: Kyc },
  { path: '/kyc/details/:id', name: 'Kyc details', element: KycDetails },

  { path: '/my-profile', name: 'Profile', element: MyProfile },
  { path: '/change-password', name: 'Change password', element: ChangePassword },
]

export default routes
