import {
  Box,
  Card,
  CircularProgress,
  Container,
  FormControl,
  Grid,
  MenuItem,
  Select,
  Typography,
} from '@mui/material'
import cardData from '../../assets/data/cardjson.json'
import React, { useState } from 'react'
import ShopCard from './shopCard'

const Shop = () => {
  const [option, setOption] = useState('all')

  const handleChange = (event) => {
    setOption(event.target.value)
  }

  const filteredData =
    option === 'all' ? cardData : cardData.filter((item) => item.categoryName === option)

  return (
    <>
      <Container>
        <Typography sx={{ fontWeight: 'bold' }} variant="h4">
          Categories
        </Typography>
        <Select
          sx={{ width: '400px', mt: '1rem' }}
          labelId="demo-simple-select-label"
          id="demo-simple-select"
          value={option}
          label=""
          onChange={handleChange}
        >
          <MenuItem value="all">All</MenuItem>
          <MenuItem value="camera">Camera</MenuItem>
          <MenuItem value="phone">Phone</MenuItem>
        </Select>

        <Box mt={3}>
          {/* Cards */}
          <Grid container spacing={2}>
            {filteredData.map((item, i) => (
              <Grid key={i} item xs={12} sm={6} md={4} lg={4}>
                <ShopCard item={item} />
              </Grid>
            ))}
          </Grid>
        </Box>
      </Container>
    </>
  )
}

export default Shop
